Apache log4cxx Version 0.10.0

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
NameAbbreviator Class Referenceabstract

NameAbbreviator generates abbreviated logger and class names. More...

Inherits ObjectImpl.

## Public Member Functions
virtual | ~NameAbbreviator ()
virtual void | abbreviate (LogString::size_type nameStart, LogString &buf) const =0
| Abbreviates a name in a StringBuffer. More...
Public Member Functions inherited from ObjectImpl
| ObjectImpl ()
virtual | ~ObjectImpl ()
void | addRef () const
void | releaseRef () const
Public Member Functions inherited from Object
virtual const helpers::Class & | getClass () const
virtual | ~Object ()
virtual bool | instanceof (const Class &clazz) const =0
virtual const void * | cast (const Class &clazz) const =0

## Static Public Member Functions
static NameAbbreviatorPtr | getAbbreviator (const LogString &pattern)
| Gets an abbreviator. More...
static NameAbbreviatorPtr | getDefaultAbbreviator ()
| Gets default abbreviator. More...
Static Public Member Functions inherited from Object
static const helpers::Class & | getStaticClass ()
static const log4cxx::helpers::ClassRegistration & | registerClass ()

## Protected Member Functions
| NameAbbreviator ()

## Additional Inherited Members
Protected Attributes inherited from ObjectImpl
unsigned int volatile | ref

## Detailed Description

NameAbbreviator generates abbreviated logger and class names.

## Constructor & Destructor Documentation

NameAbbreviator | ( |  | ) |
| protected

virtual ~NameAbbreviator | ( |  | ) |
| virtual

## Member Function Documentation

virtual void abbreviate | ( | LogString::size_type | nameStart,
|  | LogString & | buf
| ) |  | const
| pure virtual

Abbreviates a name in a StringBuffer.

Parameters

  nameStart | starting position of name in buf.
  buf | buffer, may not be null.

static NameAbbreviatorPtr getAbbreviator | ( | const LogString & | pattern | ) |
| static

Gets an abbreviator.

For example, "%logger{2}" will output only 2 elements of the logger name, "%logger{1.}" will output only the first character of the non-final elements in the name, "logger(1~.2~} will output the first character of the first element, two characters of the second and subsequent elements and will use a tilde to indicate abbreviated characters.

Parameters

  pattern | abbreviation pattern.

Returns
  abbreviator, will not be null.

static NameAbbreviatorPtr getDefaultAbbreviator | ( |  | ) |
| static

Gets default abbreviator.

Returns
  default abbreviator.

The documentation for this class was generated from the following file:

- nameabbreviator.h